Get health check history of a service registry connection on a gateway group
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/health_check_history
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/health_check_historyInteractive request editor loads with JavaScript.
In: header
Path Parameters
Service registry ID.
1 <= lengthGateway group ID.
1 <= lengthQuery Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order health check history by.
"connect_time"Value in
- "connect_time"
Service registry connection status.
Condition to search resources by.
Response Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/health_check_history?search=version%253Dv2"Successfully retrieved the health check history for the service registry.
{
"total": 1,
"list": [
{
"instance_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"service_registry_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"hostname": "nacos-srv.test",
"status": "healthy",
"connect_time": 1742288230
}
]
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/health_check_history
Get health check history of a service registry connection on a gateway group
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order health check history by.status(query, array, optional): Service registry connection status.search(query, string, optional): Condition to search resources by.
Responses
200: Successfully retrieved the health check history for the service registry.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of health check results of the service registry.- allOf variant 1
list[].instance_id(string, optional): Instance ID.list[].service_registry_id(string, optional): Service registry ID.list[].hostname(string, optional): Service registry hostname.list[].status(string, optional):list[].connect_time(integer, optional): The object timestamp.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/health_check_history'